Subject: [Mipshop] WG: Adoption of draft-liebsch-netlmm-transient-bce-pmipv6as a WG document

From: "BLUME, Oliver" <[email-masked]>
Date: Thu, 16 Oct 2008 13:02:31 +0200

Hi Yungui, sorry there was a tweak in the numbering of my arguments. I resend with corrected numbering, so we can refer to the points without confusion.

Resending:
----------

Obviously we have a loop in the discusssion, let's not argue who's loop it is but cut it loose :-)

Here is my shot at the loop:

1) For *single* interface handover the previous radio link is broken when setting up connectivity to the new access network.
2) There may be packets on the way from LMA to pMAG and the MN (being unaware of PMIP) may send uplink packets to nMAG before it received PBAck
3) Without optimisation both packets will be lost
4) For an optimisation either we need forwarding/tunneling between the access networks or between the MAGs. 

So the issue exists. Now, tBCE proposes a solution where nMAG signals transient binding option within the PMIP BU to LMA. All packets according to (2) can be succesfully transmitted. pMAG does not even need to support tBCE enhancement of PMIP.

5) use case 1 of tBCE assumes there is  a mechanism for forwarding between access networks *on L2* (but no IP tunnel between MAGs). In some access technologies this mechanisms exists and standardisation bodies want to reuse this.
6) PFMIP is an orthogonal solution with signalling on *IP layer* between MAGs. It requires an IP tunnel.

7) Furthermore, after PBAck sent by LMA some packets may still be on the way from pMAG to LMA
8) These packets might be handled by an implementation specific tweak, but I'd prefer to have them handled by the same optimisation as the packets named in (2), i.e. a transient binding of the pCoA.

Hope this clearifies what assumption use case 1 of tBCE (single interface handover) is built on.
Note that for the dual radio handover there is no need for forwarding/tunneling! But signalling is required to coordinate the switching of the path. tBCE (use case 2) provides the mechanism to switch uplink and downlink path seperately.

Oliver

>-----Ursprüngliche Nachricht-----
>Von: Wang Yungui [mailto:[email-masked]]
>Gesendet: Donnerstag, 16. Oktober 2008 08:56
>An: Ahmad Muhanna; Marco Liebsch
>Cc: Marco Liebsch; BLUME, Oliver; [email-masked]
>Betreff: Re: [Mipshop] Adoption of
>draft-liebsch-netlmm-transient-bce-pmipv6 as a WG document
>
>Hello Ahmad
>
>If the issue in section 3 exists, a potential assumption is necessary 
>that "no forwarding either below or between MAGs".
>However, as Marco described in the below mail(and other place), there 
>is forwarding below/between MAGs (be used in the solution, e.g. to 
>solve my mentioned problem).
>Therefore, I think it likes a loop. Please correct me if it is wrong. 
>Thanks.
>
>B.R.
>Yungui
>
>----- Original Message -----
>From: "Ahmad Muhanna" <[email-masked]>
>To: "Wang Yungui" <[email-masked]>; "Marco Liebsch"
><[email-masked]>
>Cc: "Marco Liebsch" <[email-masked]>; "BLUME, Oliver"
><[email-masked]>; <[email-masked]>
>Sent: Thursday, October 16, 2008 11:28 AM
>Subject: RE: [Mipshop] Adoption of
>draft-liebsch-netlmm-transient-bce-pmipv6 as a WG document
>
>
>Hi Yungui,
>
>> draft-liebsch-netlmm-transient-bce-pmipv6 as a WG document
>>
>> Hi Marco
>>
>> >> Regarding of use case 1 and relavent solution, I am
>> wondering if it
>> >> is used. In general, L2 handover happens before (or in
>> >> parallel) L3 handover if 'make-before-break' is supported in a 
>> >> particular access network.
>> >> On the contrary, nMAG should avoid to create transient BCE
>> on LMA in
>> >> this case, I think. You know, when the MN switches to new radio, 
>> >> there may be some downlink traffic packets are not completely 
>> >> delivered to the MN by the pMAG. Due to no forwarding mechanism 
>> >> between pMAG and nMAG as the draft described, then the pMAG has to 
>> >> foward those left packets to nMAG via LMA.
>> >>
>> > I think you refer to the single radio HO case and use case 1.
>> > Here,
>> > tBCE is beneficial in case there is forwarding from the
>> previous radio
>> > access network to the target radio access network. The use
>> case in the
>> > tBCE draft refers to existing radio access specific handover and 
>> > forwarding schemes. This is not forwarding between MAGs, but 
>> > forwarding from entities below MAGs. To benefit from these
>> mechanisms,
>> > you must ensure that the LMA keeps forwarding towards the previous 
>> > access for some time, which is what tBCE for this use case does.
>> >
>> > If there is no forwarding below MAGs, you can use the FPMIPv6 
>> > mechanisms from draft-yokota to establish a tunnel between pMAG and 
>> > nMAG to improve single radio handover.
>> >
>> > marco
>> >
>>
>> Yes, I referred to the single radio HO case and use case 1.
>> If there is the forwarding either below or between MAGs as you said, 
>> then the issue(described in section 3.1) is not existed. It seems you 
>> have come into a loop.
>
>[Ahmad]
>Sorry for jumping in here, BUT What do you mean that this issue does 
>not exist? And you seem to be in a loop?
>
>Please elaborate and explain what is the confusion here.
>
>Regards,
>Ahmad
>
>>
>>
>> B.R.
>> Yungui
>>
>>
>>
>> _______________________________________________
>> Mipshop mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mipshop
>>
>
>
>
>
>
>
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop